function cleaning(handles)

clearvars -global modes coeffs clabelsmatrix isocoeffs indiso status;
axes(handles.mainframe2);
cla;
colorbar('off');
set(findall(gca,'Type','line'),'Visible','off');
set(findall(gca,'Type','text'),'Visible','off');
set(findall(gca,'Type','patch'),'Visible','off');
set(handles.mainframe2,'Visible','off');
set(handles.popupmenu6,'Position',[94.0 34.0 52.0 1.6875]);
set(handles.popupmenu6,'String','Select...');
set(handles.popupmenu6,'Visible','off');
set(handles.pushbutton5,'Visible','off');
set(handles.pushbutton8,'Visible','off');
set(handles.pushbutton28,'Visible','off');
set(handles.edit19,'String','');
set(handles.edit19,'Visible','off');
for i=1:14
    v=genvarname(['checkbox' num2str(i)]);
    vv=['handles.' v];
    eval(['set(' vv ',''Enable'',''off'')']);
    eval(['set(' vv ',''Value'',0)']);
end
set(handles.popupmenu2,'String','Select...');
set(handles.popupmenu3,'String','Select...');
set(handles.text6,'Visible','off');
set(handles.text7,'Visible','off');
set(handles.text20,'Visible','off');
set(handles.popupmenu4,'Visible','off');
set(handles.popupmenu11,'Visible','off');
set(handles.popupmenu12,'Visible','off');
set(handles.edit5,'String','');
set(handles.edit5,'Visible','off');
set(handles.edit17,'String','');
set(handles.edit17,'Visible','off');
axes(handles.mainframe1);
cla;
colorbar('off');
set(handles.popupmenu10,'String','Select...');
set(handles.edit8,'String','');
set(handles.edit9,'String','');
set(handles.edit10,'String','');
set(handles.edit11,'String','');
set(handles.edit12,'String','');
set(handles.edit13,'String','');
set(handles.edit14,'String','');
set(handles.edit15,'String','');
set(handles.checkbox17,'Value',0);
set(handles.checkbox18,'Value',0);
set(handles.checkbox19,'Value',0);
set(handles.checkbox20,'Value',0);
set(handles.radiobutton14,'Value',1);
set(handles.radiobutton15,'Value',0);

set(handles.edit6,'String','');
set(handles.popupmenu13,'String','Select...');
set(handles.checkbox21,'Value',0);
set(handles.checkbox22,'Value',0);
set(handles.checkbox23,'Value',0);
set(handles.checkbox21,'Enable','off');
set(handles.checkbox22,'Enable','off');
set(handles.checkbox23,'Enable','off');